# ACE_LSOCK_Connector Class Reference

Defines the format and interface for the connector side of the <ace_lsock_stream>. More...

`#include <LSOCK_Connector.h>`

Inheritance diagram for ACE_LSOCK_Connector:

[legend]
Collaboration diagram for ACE_LSOCK_Connector:

[legend]
List of all members.

## Public Types

typedef ACE_UNIX_Addr | PEER_ADDR
typedef ACE_LSOCK_Stream | PEER_STREAM

## Public Member Functions

| ACE_LSOCK_Connector (void)
| Default constructor.
| ACE_LSOCK_Connector (ACE_LSOCK_Stream &new_stream, const ACE_UNIX_Addr &remote_sap, ACE_Time_Value *timeout=0, const ACE_Addr &local_sap=ACE_Addr::sap_any, int reuse_addr=0, int flags=0, int perms=0)
int | connect (ACE_LSOCK_Stream &new_stream, const ACE_UNIX_Addr &remote_sap, ACE_Time_Value *timeout=0, const ACE_Addr &local_sap=ACE_Addr::sap_any, int reuse_addr=0, int flags=0, int perms=0)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Defines the format and interface for the connector side of the <ace_lsock_stream>.

## Member Typedef Documentation

typedef ACE_UNIX_Addr ACE_LSOCK_Connector::PEER_ADDR

| Reimplemented from ACE_SOCK_Connector.

typedef ACE_LSOCK_Stream ACE_LSOCK_Connector::PEER_STREAM

| Reimplemented from ACE_SOCK_Connector.

## Constructor & Destructor Documentation

ACE_LSOCK_Connector::ACE_LSOCK_Connector | ( | void |  | ) |

| Default constructor.

ACE_LSOCK_Connector::ACE_LSOCK_Connector | ( | ACE_LSOCK_Stream & | new_stream,
|  | const ACE_UNIX_Addr & | remote_sap,
|  | ACE_Time_Value * | timeout = `0`,
|  | const ACE_Addr & | local_sap = `ACE_Addr::sap_any`,
|  | int | reuse_addr = `0`,
|  | int | flags = `0`,
|  | int | perms = `0`
| ) |

Actively connect and produce a <new_stream> if things go well. All arguments are relayed to the ACE_SOCK_Connector constructor for handling.

See also:
  ACE_SOCK_Connector().

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_LSOCK_Connector::connect | ( | ACE_LSOCK_Stream & | new_stream,
|  | const ACE_UNIX_Addr & | remote_sap,
|  | ACE_Time_Value * | timeout = `0`,
|  | const ACE_Addr & | local_sap = `ACE_Addr::sap_any`,
|  | int | reuse_addr = `0`,
|  | int | flags = `0`,
|  | int | perms = `0`
| ) |

Actively connect and produce a <new_stream> if things go well. The `ACE_SOCK_Connector::connect()` method is called to perform the actual connection attempt.

See also:
  ACE_SOCK_Connector::connect().

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_LSOCK_Connector::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_SOCK_Connector.

## Member Data Documentation

ACE_LSOCK_Connector::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SOCK_Connector.

The documentation for this class was generated from the following files:

- LSOCK_Connector.h
- LSOCK_Connector.cpp
- LSOCK_Connector.inl